AliExpress Item API
Scrape a public AliExpress item detail page from a search result URL or item id.
POST
/v1/aliexpress/item Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | body | string | No | AliExpress item id, or the id value returned by aliexpress/search. |
| url | body | string | No | AliExpress item URL returned by aliexpress/search. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/aliexpress/item" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":"id-1","url":"https://www.aliexpress.com/item/1005010149274942.html"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/aliexpress/item" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":"id-1","url":"https://www.aliexpress.com/item/1005010149274942.html","_run":{"async":false}}'